﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace C_.Datastructures.Nodes
{
    internal class LinkedListNode<T> : ILinkedListNode<T>
    {
        public T? Value { get; set; } = default;
        public ILinkedListNode<T>? Next { get; set; } = default(LinkedListNode<T>);

        public static LinkedListNode<T> Create(T? value, LinkedListNode<T>? next)
        {
            return new LinkedListNode<T>
            {
                Value = value,
                Next = next
            };
        }
    }
}
